### Method

# EDataBook BookSqlite unlock

since: 3.12

#### Declaration [src]

    gboolean
    e_book_sqlite_unlock (
      EBookSqlite* ebsql,
      EbSqlUnlockAction action,
      GError** error
    )

#### Description [src]

Releases an exclusive on `ebsql` and finishes a transaction previously started with e_book_sqlite_lock_updates().

If this fails, the lock on `ebsql` is still released and `error` will be set to indicate why the transaction or rollback failed..

Available since: 3.12

#### Parameters

`action`

  Type: `EbSqlUnlockAction`

  Which `EbSqlUnlockAction` to take while unlocking.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, otherwise `FALSE` is returned and `error` is set appropriately.